<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDemeuresTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('demeures', function (Blueprint $table) {
            $table->id();
            $table->integer('nbre_pieces');
            $table->integer('nbre_chambres');
            $table->integer('surface_habitable');
            $table->integer('surface_sejour');
            $table->integer('etat_interieur');
            $table->integer('etat_exterieur');
            $table->integer('categorie');
            $table->boolean('description_piscine')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('demeures');
    }
}
